Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
iseq_insn_data Struct Reference

## Data Fields
LINK_ELEMENT | link
enum ruby_vminsn_type | insn_id
int | operand_size
int | sc_state
VALUE * | operands
struct {
int line_no
rb_event_flag_t events
} | insn_info

## Detailed Description

Definition at line 74 of file compile.c.

## Field Documentation

## ◆ events

rb_event_flag_t iseq_insn_data::events

Definition at line 82 of file compile.c.

## ◆ insn_id

enum ruby_vminsn_type iseq_insn_data::insn_id

Definition at line 76 of file compile.c.

Referenced by rb_iseq_mark_insn_storage().

## ◆ insn_info

struct { ... } iseq_insn_data::insn_info

## ◆ line_no

int iseq_insn_data::line_no

Definition at line 81 of file compile.c.

## ◆ link

LINK_ELEMENT iseq_insn_data::link

Definition at line 75 of file compile.c.

## ◆ operand_size

int iseq_insn_data::operand_size

Definition at line 77 of file compile.c.

## ◆ operands

VALUE* iseq_insn_data::operands

Definition at line 79 of file compile.c.

Referenced by rb_iseq_mark_insn_storage().

## ◆ sc_state

int iseq_insn_data::sc_state

Definition at line 78 of file compile.c.

The documentation for this struct was generated from the following file:

- compile.c